% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/stepTimer.R
\name{stepTimer}
\alias{stepTimer}
\title{stepTimer}
\usage{
stepTimer(inputId)
}
\arguments{
\item{inputId}{character: input slot}
}
\value{
nothing
}
\description{
Simulates a button press on \code{Step}.
}
\examples{
# Example requires the use of a `shiny` app (See Vignette)
if (interactive()) {
  library(shiny)
  library(shinyDTC)
  library(shinyjs)

  ui <- fluidPage(
    useShinyjs(),
    timerUI("ttimer"),
    actionButton("step", "Trigger Step (Externally)")
  )

  server <- function(input, output, session) {
    timerServer("ttimer")

    observeEvent(input$step, {
      stepTimer("ttimer")
    })
  }

  shinyApp(ui, server)
}

\dontrun{
# stepTimer("ttimer") should be used inside a `shiny` server context
}
}
